<template>
  <div class="ins_order_config">
    <div>
      <el-row class="title">
        <el-col :span="6" style="padding-left: 20px;">电缆配置</el-col>
        <el-col :span="18" style="text-align: right;">
          <el-button size="medium" @click="outConfig">
            <span style="color: #3A7BFA;">返 回</span>
          </el-button>
        </el-col>
      </el-row>
    </div>
    <div class="search">
      <el-radio-group v-model="currentTab" size="small" style="margin-left: 20px;">
        <el-radio-button label="绝缘">绝 缘</el-radio-button>
        <el-radio-button label="护套">护 套</el-radio-button>
      </el-radio-group>
      <div class="search_thing" v-if="currentTab=='绝缘'">
        <div class="search_label">芯数：</div>
        <el-input size="small" placeholder="请输入" clearable
						v-model="vaule0"></el-input>
      </div>
      <el-button size="small" type="primary"@click="openAdd" style="margin-left: 20px;margin-right: 20px;" v-if="currentTab=='绝缘'">
        确 定</el-button>
      <div class="search_thing">
        <div class="search_label">检验标准：</div>
        <el-select v-model="vaule0" placeholder="请选择检验标准" size="small"
        clearable>
          <el-option v-for="item in standardList" :key="item.value" :label="item.label" :value="item.value">
          </el-option>
        </el-select>
      </div>
      <div class="search_thing" style="padding-left: 30px;">
        <el-button size="small" type="primary"@click="openAdd">保 存</el-button>
      </div>
    </div>
    <div class="table">
      <ValueTable ref="ValueTable"
				:url="$api.auxiliaryWorkingHours.selectAuxiliaryWorkingHours"
				:componentData="componentData" :key="upIndex" />
    </div>
  </div>
</template>

<script>
import ValueTable from '../../tool/value-table.vue'
export default {
  components: {
    ValueTable
  },
  props: {
    active: {
      type: Number,
      default: () => 0
    },
  },
  data(vm) {
      return {
        standardList:[],
        vaule0:'',
        currentTab:'绝缘',
        componentData: {
					entity: {
						number: null,
						department: null,
						laboratory: null,
						orderBy: {
							field: 'id',
							order: 'desc'
						}
					},
					isIndex: true,
					showSelect: true,
					select: true,
					do: [],
					tagField: {},
					linkEvent: {
					},
					selectField: {
						laboratory: {
							select: []
						},
						unit: {
							select: []
						},

					},
					requiredAdd: [],
					requiredUp: []
			  },
        upIndex:0,
      }
  },
  methods: {
    outConfig() {
      this.$parent.cableConfigShow = false
    },
  }
}
</script>

<style scoped>
.ins_order_config {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
  }

  .ins_order_config::-webkit-scrollbar {
    width: 0;
  }

  .title {
    height: 60px;
    line-height: 60px;
  }

  .search {
		background-color: #fff;
		height: 80px;
		display: flex;
		align-items: center;
	}

	.search_thing {
		width: 300px;
		display: flex;
		align-items: center;
	}

	.search_label {
		width: 100px;
		font-size: 14px;
		text-align: right;
	}

	.search_input {
		width: calc(100% - 70px);
	}
  .table {
		margin-top: 10px;
		background-color: #fff;
		width: calc(100% - 40px);
		height: calc(100% - 60px - 80px - 26px - 24px);
		padding: 20px;
	}
</style>
